  <div class="container productindex">
    <section class="product-navigation header top-margin">
          <h1 class="animated"><%= @title %></h1>
    </section>
    <hr>
    <section class="product-categories">
    <div class="row">
     <div class="col-md-12">
        <div class="btn-group">
            <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <% if @category != nil then %>
                                <%= @category.name %>
                <% else %>All Products<% end %> <span class="caret"></span>
            </button>
            <ul class="dropdown-menu">
                    <li><%= link_to(products_path) do %>
                            All Products
                        <% end %>
                        </li>
                    <li role="separator" class="divider"></li>
                    <% @categories.each do |category| %>
                    <li> <%= link_to(category_path(category)) do %><%= category.name %><% end %> </li>
                    <% end %>
            </ul>


         <% if !current_user.subscribed? %>
           <%= link_to(subscribe_path, style: "padding: 0px; margin-left: 10px;") do %><button class="btn btn-hero"><i class="fa fa-rocket"></i> Upgrade Now</button><% end %>
        <% end %>
        </div>

   
     
      </div>
    </div>
    </section>
    <hr>
    <div align="center">
    <%= will_paginate @products, renderer: BootstrapPagination::Rails %>
    </div>
  <div class="row">
    <% @products.each do |product| %>
            <% if product.active? || current_user.admin? %>
                    <div class="col-md-3 col-xs-12 col-sm-6">
                        
                            <div class="content product-card hvr-grow shadowed">
                                <%= link_to(product) do %>
                                    <div class="heroscore-tag">
                                        <%= product.heroscore >= 10.0 ? 10 : product.heroscore  %>
                                    </div>
                                    <% if product.created_at < Time.now and product.created_at > (Time.now-2.days) %>
                                        <div class="new-tag">
                                            New
                                        </div>
                                    <% end %>
                                    <div class="image">
                                        <img src="<%= product.img %>" class="img-responsive">
                                    </div>
                                    <div class="profit" style="">
                                        <h5 class="small-info">Profit</h5>
                                        <% @profit = (product.sellprice - product.storeprice) %>
                                        <%= number_to_currency(@profit) %>
                                    </div>
                                    <div class="engagement-view">
                                        <div class="title">
                                            <h4><%= product.title %></h4>
                                        </div>
                                        <div>
                                            <h4><i class="fa fa-thumbs-o-up" aria-hidden="true"></i> <%= product.likes %> | <i class="fa fa-commenting" aria-hidden="true"></i> <%= product.comments %></br> <i class="fa fa-share-alt-square" aria-hidden="true"> </i> <%= product.shares %></h4>
                                        </div>
                                    </div>
                                <% end %>
                            </div>
                    
                    </div>
            <% end %>
        <% end %> 
    </div>

</div>
<div align="center">
    <%= will_paginate @products, renderer: BootstrapPagination::Rails  %>
</div>